CK_BITMAP_ITERATOR_INIT(3)

NAME
ck_bitmap_iterator_init - initialize bitmap iterator

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_ht.h>

void
ck_bitmap_iterator_init(ck_bitmap_iterator_t *iterator, ck_bitmap_t *bitmap);

DESCRIPTION
The ck_bitmap_iterator_init() function will initialize the object pointed to by the iterator argument for use with bitmap.

An iterator is used to iterate through set bitmap bits with the ck_bitmap_next(3) function.

RETURN VALUES
The ck_bitmap_iterator_init() function does not return a value.

ERRORS
This function will not fail.

SEE ALSO
ck_bitmap_base(3), ck_bitmap_size(3), ck_bitmap_init(3), ck_bitmap_set(3), ck_bitmap_reset(3), ck_bitmap_clear(3), ck_bitmap_bits(3), ck_bitmap_buffer(3), ck_bitmap_next(3)

Additional information available at http://concurrencykit.org/